Package com.trilead.ssh2.sftp

# Class AttribTypes

java.lang.Object
com.trilead.ssh2.sftp.AttribTypes

public class AttribTypes extends Object
Types for the 'type' field in the SFTP ATTRS data type.

"On a POSIX system, these values would be derived from the mode field of the stat structure. SPECIAL should be used for files that are of a known type which cannot be expressed in the protocol. UNKNOWN should be used if the type is not known."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SSH_FILEXFER_TYPE_BLOCK_DEVICE`
`static final int`
`SSH_FILEXFER_TYPE_CHAR_DEVICE`
`static final int`
`SSH_FILEXFER_TYPE_DIRECTORY`
`static final int`
`SSH_FILEXFER_TYPE_FIFO`
`static final int`
`SSH_FILEXFER_TYPE_REGULAR`
`static final int`
`SSH_FILEXFER_TYPE_SOCKET`
`static final int`
`SSH_FILEXFER_TYPE_SPECIAL`
`static final int`
`SSH_FILEXFER_TYPE_SYMLINK`
`static final int`
`SSH_FILEXFER_TYPE_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`AttribTypes()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SSH_FILEXFER_TYPE_REGULAR

public static final int SSH_FILEXFER_TYPE_REGULAR

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_DIRECTORY

public static final int SSH_FILEXFER_TYPE_DIRECTORY

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_SYMLINK

public static final int SSH_FILEXFER_TYPE_SYMLINK

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_SPECIAL

public static final int SSH_FILEXFER_TYPE_SPECIAL

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_UNKNOWN

public static final int SSH_FILEXFER_TYPE_UNKNOWN

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_SOCKET

public static final int SSH_FILEXFER_TYPE_SOCKET

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_CHAR_DEVICE

public static final int SSH_FILEXFER_TYPE_CHAR_DEVICE

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_BLOCK_DEVICE

public static final int SSH_FILEXFER_TYPE_BLOCK_DEVICE

See Also:
  - Constant Field Values

### SSH_FILEXFER_TYPE_FIFO

public static final int SSH_FILEXFER_TYPE_FIFO

See Also:
  - Constant Field Values

## Constructor Details

### AttribTypes

public AttribTypes()